
var isLoading = false;

var load = function(){

    $.get("php/gpio.php", {pinNumbers: "0,1,2,3"})
    .done(function(data){
        //console.log(data);
        isLoading = true;
        for (var i = 0; i<data.length; i++){
            if (data[i] === 1){
                $('.pin[data-value="'+i+'"]').bootstrapToggle('on');
            } else {
                $('.pin[data-value="'+i+'"]').bootstrapToggle('off');
            }
            //console.log(i+": "+data[i]);
        }
        isLoading = false;
    });

};

$(document).ready(function(){

    load();

    $('.pin').change(function() {
        if (isLoading) return;
        var pinNumber = $(this).data("value");
        var value = 0;
        if ($(this).prop('checked')){
            value = 1;
        }
        $.post("php/gpio.php", { pin: pinNumber, state: value });
      });
});
